sc::MolecularFormula Class Reference

The MolecularFormula class is used to calculate the molecular formula of a Molecule. More...

`#include <formula.h>`

## Public Member Functions

| MolecularFormula (const Ref< Molecule > &m)
| Constructors. The argument must be nonnull.
| MolecularFormula (const Molecule *m)
const char * | formula () const
| Returns a null terminated string containing the molecular formula.
int | natomtypes ()
| Returns the number of atomtypes.
int | Z (int itype)
| Returns atomic number of given atomtypeindex.
int | nZ (int itype)
| Returns number of atoms of given atomtypeindex.

## Detailed Description

The MolecularFormula class is used to calculate the molecular formula of a Molecule.

There is only one constructor which takes Ref<Molecule> as input.

The documentation for this class was generated from the following file:

- formula.h